using IOB_UT_NEXT;
using IOB_WIN_FILE.Iob;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IOB_WIN_FILE
{
    public class MainFormNext : IOB_WIN_FORM.MainForm
    {

        /// <summary>
        /// Avvio MainForm
        /// </summary>
        /// <param name="args"></param>
        public MainFormNext(string[] args) : base(args)
        {
        }

        /// <summary>
        /// Apre la finestra child con conf
        /// </summary>
        protected override void openChild(string IOB)
        {
            if (IOB == null)
            {
                throw new ArgumentNullException(nameof(IOB));
            }

            AdapterFormNext child = new AdapterFormNext(IOB);
            child.MdiParent = this;
            child.Text = IOB;
            child.Show();
            child.Shown += Child_Shown;
            child.FormClosed += Child_FormClosed;
        }
    }
}
